public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/cucumber/
Date: Sun,  3 Mar 2024 07:32:32 +0000 (UTC)	[thread overview]
Message-ID: <1709451126.21a952db113e33d4e4c565aa300dd4cdb0663c98.graaff@gentoo> (raw)

commit:     21a952db113e33d4e4c565aa300dd4cdb0663c98
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Mar  3 07:31:07 2024 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Mar  3 07:32:06 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=21a952db

dev-util/cucumber: add 9.1.2

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-util/cucumber/Manifest              |  1 +
 dev-util/cucumber/cucumber-9.1.2.ebuild | 89 +++++++++++++++++++++++++++++++++
 2 files changed, 90 insertions(+)

diff --git a/dev-util/cucumber/Manifest b/dev-util/cucumber/Manifest
index 09a20e58ca66..7d1dd63263a6 100644
--- a/dev-util/cucumber/Manifest
+++ b/dev-util/cucumber/Manifest
@@ -2,3 +2,4 @@ DIST cucumber-8.0.0.tar.gz 412254 BLAKE2B 8e86ca726a85afeb6d80799c3b2cf633e4949b
 DIST cucumber-9.0.2.tar.gz 410190 BLAKE2B db11ade6c97ca9ea51820c0b0fc394012eb8668bede0b8d60376075208eb569ab0925263b4f46286234f260ca52dd7987adfbc069616fbd2edda00cc0a41d779 SHA512 573f4182e901597487993299985b9b9bdec93f19c11b26d2fd34a14b76364630c8d0d3f2b1ee3c6f1ca59d49c155cae397bcf8e0e6fb8fe748105d68e8c846cf
 DIST cucumber-9.1.0.tar.gz 407729 BLAKE2B c0d654124b71d58677569ce29d81c169176d6945ea5bb3c537326c2c3543922652bc83e7728be25e10e712ee1981076fd185b147b3f303bc59f103c01f4295f8 SHA512 f6783d6f0df19d227fc2a77f6f16c496ea323b3937aca5236acc7c680be5b633ea7a942de12670f88ba60b65493224153601c5e0c61fc99861e9935a2ff8990d
 DIST cucumber-9.1.1.tar.gz 404818 BLAKE2B 61696bfaf38ed0c4b89bc15ff36d306e1d04ce11062d149a399e89cbe88ddf5fd56236d7ecc18928731600db22df2009ef954045c4bfb8135496d63181d68496 SHA512 c25b3c20f25b2e73ea8f3073976f9da533beb7ad5efd043de46cfe847c104c0a7352e9841313015673d6d247051bcedb65bee4da362cb873799406975c24e149
+DIST cucumber-9.1.2.tar.gz 424404 BLAKE2B 4e4dd3cef2dc933aa2a1da3e2840ce7ba451607262f8b1cd963658d5e7d81689e5e2f30740e135f9fcdc9a15227f7b94ba40b2bc07dd3849c1e8bb4eda4bc659 SHA512 cacfd23e761dd5f6af030525e06c59c6f410c15ad3d2826745d4a38db95ecb32e556e05dadd3e2d822b4bf8fa1529124d112f35bb649230a4c20a7c822318b04

diff --git a/dev-util/cucumber/cucumber-9.1.2.ebuild b/dev-util/cucumber/cucumber-9.1.2.ebuild
new file mode 100644
index 000000000000..1534999e2e60
--- /dev/null
+++ b/dev-util/cucumber/cucumber-9.1.2.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+# Documentation task depends on sdoc which we currently don't have.
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_TASK_TEST="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+RUBY_FAKEGEM_EXTRAINSTALL="VERSION"
+
+RUBY_FAKEGEM_BINWRAP="cucumber"
+
+RUBY_FAKEGEM_GEMSPEC="cucumber.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Executable feature scenarios"
+HOMEPAGE="https://cucumber.io/"
+SRC_URI="https://github.com/cucumber/cucumber-ruby/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+RUBY_S="cucumber-ruby-${PV}"
+LICENSE="Ruby"
+
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+SLOT="0"
+IUSE="examples test"
+
+ruby_add_bdepend "
+	test? (
+		dev-ruby/bundler
+		dev-ruby/rspec:3
+		>=dev-ruby/nokogiri-1.12.5
+		>=dev-ruby/syntax-1.0.0
+		dev-ruby/json
+		>=dev-util/cucumber-3
+		dev-util/cucumber-compatibility-kit:14
+	)"
+
+ruby_add_rdepend "
+	>=dev-ruby/builder-3.2.4:3.2
+	>=dev-util/cucumber-ci-environment-9.2.0:9
+	dev-util/cucumber-core:12
+	dev-util/cucumber-cucumber-expressions:17
+	dev-util/cucumber-gherkin:26
+	dev-util/cucumber-html-formatter:21
+	dev-util/cucumber-messages:22
+	>=dev-ruby/diff-lcs-1.5.0:0
+	>=dev-ruby/mini_mime-1.1.5:0
+	>=dev-ruby/multi_test-1.1.0:1
+	>=dev-ruby/sys-uname-1.2.3:1
+"
+
+all_ruby_prepare() {
+	# Remove development dependencies from the gemspec that we don't
+	# need or can't satisfy.
+	sed -e '/\(coveralls\|spork\|simplecov\|bcat\|kramdown\|yard\|capybara\|octokit\|rack-test\|ramaze\|rubocop\|sinatra\|webrat\|rubyzip\)/d' \
+		-i ${RUBY_FAKEGEM_GEMSPEC} || die
+
+	# Avoid dependency on unpackaged packages
+	sed -i -e '/\(cucumber-pro\|webrick\)/ s:^:#:' Gemfile || die
+
+	# Avoid specs that call out to an installed cucumber version
+	rm -f spec/cck/cck_spec.rb || die
+
+	# Avoid specs failing due to differing deprecation message
+	# rm -f spec/cucumber/deprecate_spec.rb || die
+
+	# Avoid failing features on new delegate and forwardable behavior in ruby
+#	rm -f features/docs/defining_steps/ambiguous_steps.feature features/docs/defining_steps/nested_steps.feature || die
+
+	sed -i -e '/pry/ s:^:#:' cucumber.gemspec spec/spec_helper.rb || die
+
+	rm -f Gemfile.lock || die
+}
+
+each_ruby_test() {
+	RSPEC_VERSION=3 ruby-ng_rspec
+	CUCUMBER_USE_RELEASED_CORE=true PATH="${S}"/bin:${PATH} RUBYLIB="${S}"/lib \
+		${RUBY} -Ilib bin/cucumber features || die "Features failed"
+}
+
+all_ruby_install() {
+	all_fakegem_install
+
+	if use examples; then
+		cp -pPR examples "${D}/usr/share/doc/${PF}" || die "Failed installing example files."
+	fi
+}


             reply	other threads:[~2024-03-03  7:32 UTC|newest]

Thread overview: 149+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-03-03  7:32 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-31  6:03 [gentoo-commits] repo/gentoo:master commit in: dev-util/cucumber/ Hans de Graaff
2024-07-21 13:22 Sam James
2024-07-21 13:22 Sam James
2024-07-21 12:55 Jakov Smolić
2024-07-21 12:55 Jakov Smolić
2024-07-21 12:42 Sam James
2024-07-21  7:04 Hans de Graaff
2024-03-20 14:44 Hans de Graaff
2024-01-14  8:42 Hans de Graaff
2024-01-04 16:26 WANG Xuerui
2023-11-30  7:15 Hans de Graaff
2023-11-04  7:13 Hans de Graaff
2023-11-04  7:13 Hans de Graaff
2023-06-16  5:38 Hans de Graaff
2023-04-10 10:37 Sam James
2023-04-10 10:37 Sam James
2023-04-10 10:34 Sam James
2023-04-10 10:28 Sam James
2023-04-10 10:28 Sam James
2023-04-10 10:28 Sam James
2023-04-07 13:14 Sam James
2023-04-01 23:19 Sam James
2022-12-02  7:55 Hans de Graaff
2022-08-14  6:36 Hans de Graaff
2022-08-14  6:24 Hans de Graaff
2022-07-13  9:05 Hans de Graaff
2022-05-22  6:23 Agostino Sarubbo
2022-05-22  6:15 Agostino Sarubbo
2022-05-21  8:27 Agostino Sarubbo
2022-05-21  8:26 Agostino Sarubbo
2022-05-21  8:25 Agostino Sarubbo
2022-05-20  9:02 Agostino Sarubbo
2022-05-20  9:00 Agostino Sarubbo
2022-04-18 12:14 Hans de Graaff
2022-04-18 12:14 Hans de Graaff
2022-03-19 12:00 Hans de Graaff
2021-11-24  7:29 Hans de Graaff
2021-11-23 16:09 Sam James
2021-10-16  7:46 Hans de Graaff
2021-10-11  0:45 Sam James
2021-10-10 21:48 Sam James
2021-10-10 20:53 Sam James
2021-10-10 20:48 Sam James
2021-09-10  6:03 Hans de Graaff
2021-08-15  7:41 Hans de Graaff
2021-08-02 21:48 Marek Szuba
2021-07-30  8:30 Hans de Graaff
2021-07-30  8:30 Hans de Graaff
2021-07-26  5:22 Sam James
2021-07-26  5:22 Sam James
2021-07-25  3:23 Sam James
2021-07-16  8:52 Hans de Graaff
2021-07-15 22:18 Sergei Trofimovich
2021-07-14  9:20 Hans de Graaff
2021-07-10  6:57 Hans de Graaff
2021-07-09  1:36 Sam James
2021-07-08  3:53 Sam James
2021-07-05 22:35 Sam James
2021-07-04 22:17 Sam James
2021-07-03  1:32 Sam James
2021-07-03  1:28 Sam James
2020-12-15  2:37 Matt Turner
2020-07-22  4:43 Hans de Graaff
2020-07-11  9:28 Hans de Graaff
2020-06-07  8:37 Hans de Graaff
2019-06-05 17:56 Hans de Graaff
2019-06-05  7:28 Agostino Sarubbo
2019-05-20 17:28 Hans de Graaff
2019-05-04  7:49 Hans de Graaff
2019-05-04  7:49 Hans de Graaff
2019-05-02 21:38 Mikle Kolyada
2019-04-28 20:12 Mikle Kolyada
2019-04-27 19:20 Sergei Trofimovich
2019-04-27 16:25 Sergei Trofimovich
2019-04-27 16:03 Sergei Trofimovich
2019-04-26 20:54 Mikle Kolyada
2019-04-24 17:02 Sergei Trofimovich
2019-04-23 19:33 Mikle Kolyada
2019-04-11 17:46 Hans de Graaff
2019-03-20 18:59 Mikle Kolyada
2018-12-27  2:57 Matt Turner
2018-12-27  2:57 Matt Turner
2018-12-23 19:17 Hans de Graaff
2018-12-23 19:17 Hans de Graaff
2018-12-23 19:17 Hans de Graaff
2018-12-12  7:33 Hans de Graaff
2018-12-12  7:33 Hans de Graaff
2018-12-12  7:33 Hans de Graaff
2018-12-12  7:33 Hans de Graaff
2018-07-15  9:05 Hans de Graaff
2018-07-15  8:01 Patrice Clement
2018-07-15  5:43 Hans de Graaff
2018-07-12 21:16 Sergei Trofimovich
2018-06-25 19:02 Hans de Graaff
2018-06-18 18:07 Tobias Klausmann
2018-06-14 19:22 Mikle Kolyada
2018-06-05  4:06 Hans de Graaff
2018-06-04 11:46 Hans de Graaff
2018-05-22 16:33 Hans de Graaff
2018-04-13 23:22 Aaron Bauman
2018-04-08 23:44 Matt Turner
2018-03-22 20:23 Jeroen Roovers
2018-03-18 22:38 Sergei Trofimovich
2018-03-18 19:59 Markus Meier
2018-03-06 22:28 Sergei Trofimovich
2018-01-28  7:32 Hans de Graaff
2018-01-21  8:56 Hans de Graaff
2018-01-08 23:57 Thomas Deutschmann
2018-01-07 20:53 Markus Meier
2017-12-29 17:41 Sergei Trofimovich
2017-12-29  6:27 Hans de Graaff
2017-12-29  6:27 Hans de Graaff
2017-12-28 18:45 Thomas Deutschmann
2017-12-27 20:06 Sergei Trofimovich
2017-12-26  7:06 Hans de Graaff
2017-12-22  5:20 Markus Meier
2017-12-06  7:12 Hans de Graaff
2017-12-06  7:09 Hans de Graaff
2017-11-26 10:02 Hans de Graaff
2017-10-23 21:38 Sergei Trofimovich
2017-10-23  7:28 Sergei Trofimovich
2017-10-21  6:33 Hans de Graaff
2017-10-21  6:28 Hans de Graaff
2017-10-01  0:56 Thomas Deutschmann
2017-09-02  6:53 Hans de Graaff
2017-08-22  9:19 Sergei Trofimovich
2017-06-06 22:12 Sergei Trofimovich
2017-04-30  5:33 Hans de Graaff
2017-04-29 20:26 Jeroen Roovers
2017-04-02  6:22 Hans de Graaff
2017-02-27 17:01 Michael Weber
2017-02-14  0:36 Michael Weber
2016-12-24 10:26 Agostino Sarubbo
2016-12-23  6:40 Hans de Graaff
2016-12-22  9:34 Agostino Sarubbo
2016-12-20  9:44 Agostino Sarubbo
2016-12-19 15:12 Agostino Sarubbo
2016-12-19 14:35 Agostino Sarubbo
2016-12-18 15:57 Agostino Sarubbo
2016-12-18 15:44 Agostino Sarubbo
2016-12-14  9:14 Tobias Klausmann
2016-12-11 18:26 Hans de Graaff
2016-12-03  6:37 Hans de Graaff
2016-09-01 19:49 Hans de Graaff
2016-08-16  6:05 Hans de Graaff
2016-07-25 19:24 Hans de Graaff
2016-04-10  0:26 Manuel Rüger
2015-10-07  5:51 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1709451126.21a952db113e33d4e4c565aa300dd4cdb0663c98.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox